package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

public class StudentStatisticsSumDto {

    @ApiModelProperty(value = "沉睡学员总数：有课耗且有【未开始】课程的学生中，近一年无课耗学生总数",required = false)
    private Integer sleepStudentNum;

    @ApiModelProperty(value = "有未排课：沉睡学员中，有未排课资格的学数量",required = false)
    private Integer sleepStudentHasNotSchedule;

    @ApiModelProperty(value = "无未排课：沉睡学员中，无未排课资格的学数量",required = false)
    private Integer sleepStudentNoNotSchedule;

    @ApiModelProperty(value = "在读学员总数：有【未开始】+【未排课】+ 近一年有课耗学生总数",required = false)
    private Integer normalStudentNum;

    @ApiModelProperty(value = "进行中：【在读学员总数】中有【进行中】状态课程组的学生数量",required = false)
    private Integer normalStudentHasNormalGroupNum;

    @ApiModelProperty(value = "暂停：有课程余额且没有剩余课时",required = false)
    private Integer hasCourseBalanceAndNotSubCourseNum;

    @ApiModelProperty(value = "未排课：【在读学员总数】中有未排课资格的学员数量",required = false)
    private Integer normalStudentHasNoScheduleNum;

    @ApiModelProperty(value = "待续费人数：【未开始】+【未排课】课时数≤3节",required = false)
    private Integer waitRenewNum;

    @ApiModelProperty(value = "未开始课时：【未开始】课程总数",required = false)
    private Integer subCourseNum;

    @ApiModelProperty(value = "未排课课时：活动资格【未排课】课程总数（1v多不去重）",required = false)
    private Integer noScheduleNum;

    public Integer getSleepStudentNum() {
        return sleepStudentNum;
    }

    public void setSleepStudentNum(Integer sleepStudentNum) {
        this.sleepStudentNum = sleepStudentNum;
    }

    public Integer getSleepStudentHasNotSchedule() {
        return sleepStudentHasNotSchedule;
    }

    public void setSleepStudentHasNotSchedule(Integer sleepStudentHasNotSchedule) {
        this.sleepStudentHasNotSchedule = sleepStudentHasNotSchedule;
    }

    public Integer getSleepStudentNoNotSchedule() {
        return sleepStudentNoNotSchedule;
    }

    public void setSleepStudentNoNotSchedule(Integer sleepStudentNoNotSchedule) {
        this.sleepStudentNoNotSchedule = sleepStudentNoNotSchedule;
    }

    public Integer getNormalStudentNum() {
        return normalStudentNum;
    }

    public void setNormalStudentNum(Integer normalStudentNum) {
        this.normalStudentNum = normalStudentNum;
    }

    public Integer getNormalStudentHasNormalGroupNum() {
        return normalStudentHasNormalGroupNum;
    }

    public void setNormalStudentHasNormalGroupNum(Integer normalStudentHasNormalGroupNum) {
        this.normalStudentHasNormalGroupNum = normalStudentHasNormalGroupNum;
    }

    public Integer getHasCourseBalanceAndNotSubCourseNum() {
        return hasCourseBalanceAndNotSubCourseNum;
    }

    public void setHasCourseBalanceAndNotSubCourseNum(Integer hasCourseBalanceAndNotSubCourseNum) {
        this.hasCourseBalanceAndNotSubCourseNum = hasCourseBalanceAndNotSubCourseNum;
    }

    public Integer getNormalStudentHasNoScheduleNum() {
        return normalStudentHasNoScheduleNum;
    }

    public void setNormalStudentHasNoScheduleNum(Integer normalStudentHasNoScheduleNum) {
        this.normalStudentHasNoScheduleNum = normalStudentHasNoScheduleNum;
    }

    public Integer getWaitRenewNum() {
        return waitRenewNum;
    }

    public void setWaitRenewNum(Integer waitRenewNum) {
        this.waitRenewNum = waitRenewNum;
    }

    public Integer getSubCourseNum() {
        return subCourseNum;
    }

    public void setSubCourseNum(Integer subCourseNum) {
        this.subCourseNum = subCourseNum;
    }

    public Integer getNoScheduleNum() {
        return noScheduleNum;
    }

    public void setNoScheduleNum(Integer noScheduleNum) {
        this.noScheduleNum = noScheduleNum;
    }
}
